Skip to main content
`Ctrl`+`K`

# SNESLineSearchSetVecs

Sets the vectors on the `SNESLineSearch` context

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchSetVecs(SNESLineSearch linesearch, Vec X, Vec F, Vec Y, Vec W, Vec G)

Logically Collective

## Input Parameters

- linesearch - the line search context

- X - Solution vector

- F - Function vector

- Y - Search direction vector

- W - Solution work vector

- G - Function work vector

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESLineSearchSetNorms()`, `SNESLineSearchGetVecs()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages